using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DelayedAction : Singleton<DelayedAction>
{
    private static IEnumerator Schedule0(float delay, UnityEngine.Events.UnityAction act)
    {
        yield return new WaitForSeconds(delay);
        act();
    }
    public static void Schedule(float delay, UnityEngine.Events.UnityAction act)
    {
        I.StartCoroutine(Schedule0(delay, act));
    }
}
